#ifndef SETTINGS_H
#define SETTINGS_H

#include <QDialog>
#include <QFileDialog>
#include "genedrop.h"

class GeneDrop;

namespace Ui {
class Settings;
}

class Settings : public QDialog
{
    Q_OBJECT
    
public:
    explicit Settings(GeneDrop *parent = 0);
    ~Settings();
    
private slots:
    void on_OKButton_clicked();

    void on_PedDefChoose_toggled(bool checked);

    void on_PedNameChoose_clicked(bool checked);

    void on_LocDefChoose_toggled(bool checked);

    void on_LocNameChoose_clicked(bool checked);

    void on_FouDefChoose_toggled(bool checked);

    void on_FouNameChoose_clicked(bool checked);

private:
    Ui::Settings *ui;
    GeneDrop* main_window;
};

#endif // SETTINGS_H
